
// IXmPlayStatusChangeCallBack.aidl
package com.ximalaya.ting.android.host.service.xmcontrolapi;

import com.ximalaya.ting.android.host.service.xmcontrolapi.Song;

interface IXmPlayStatusChangeCallBack {

	void onPlayStart();

	void onPlayPause();

	void onPlayStop();

	void onSoundPlayComplete();

	void onSoundPrepared();

	void onSoundSwitch(inout Song lastTrack, inout Song curTrack);

	void onBufferingStart();

	void onBufferingStop();

	void onBufferProgress(int percent);

	void onPlayProgress(int currPos, int duration);

	void onError();
}
