// IMixPlayerEventDispatcher.aidl
package com.ximalaya.ting.android.opensdk.player.service;

// Declare any non-default types here with import statements

interface IMixPlayerEventDispatcher {

    void onMixStart();

    void onMixPause();

    void onMixStop();

    void onMixProgressUpdate(int percent);

    void onMixComplete();

    void onMixError(String url, int code, String msg);

    void onMixStatusChanged(double key, boolean isPlaying);

    void onMixSoundComplete(double key);
}
