// IXmControlApi.aidl
package com.ximalaya.ting.android.host.service.xmcontrolapi;

import com.ximalaya.ting.android.host.service.xmcontrolapi.IXmApiCallback;
import com.ximalaya.ting.android.host.service.xmcontrolapi.IXmEventChangCallBack;
import com.ximalaya.ting.android.host.service.xmcontrolapi.IXmPlayStatusChangeCallBack;

interface IXmControlApi {
    Bundle init();

    Bundle execute(String action, in Bundle params);

    oneway void executeAsync(String action, in Bundle params, IXmApiCallback callback);

    void registerPlayStatueChangeListener(IXmPlayStatusChangeCallBack callBack);

    void unRegisterPlayStatuChangeListener(IXmPlayStatusChangeCallBack callBack);

    void registerEventListener(in List<String> events, IXmEventChangCallBack listener);

    void unregisterEventListener(in List<String> events, IXmEventChangCallBack listener);
}
